var express = require('express');
var router = express.Router();
var mongo = require('mongoose');
var models = require('./models');
var User = models.User;

mongo.connect('mongodb://192.168.199.9:8888/logindb');

/* GET home page. */
router.get('/', function(req, res) {
  res.render('index', { title: 'Express' });
});


router.get('/login', function(req, res) {
  res.render('login', { title: '登录' });
});


router.post('/login', function(req, res) {
	var query_doc = { userid: req.body.userid, password: req.body.password };
	User.count(query_doc, function(err, doc){
		if(doc == 1){
			res.redirect('/welcome?userid=' + query_doc.userid);
		}else{
			res.redirect('/login');
		}		
	});
	
});

router.get('/logout', function(req, res) {
  res.redirect('/login');
});

router.get('/welcome', function(req, res) {
	var userid = req.query.userid;
	res.render('welcome', { title: '', userid: userid});
});

module.exports = router;
